Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class NcbNameTypeDescriptor

    java.lang.Object
      org.exolab.castor.xml.Validator
          org.exolab.castor.xml.util.XMLClassDescriptorImpl
              nz.co.cks.tms.xml.NcbNameTypeDescriptor

All Implemented Interfaces:
  org.exolab.castor.mapping.ClassDescriptor, org.exolab.castor.xml.ClassValidator, org.exolab.castor.xml.TypeValidator, org.exolab.castor.xml.XMLClassDescriptor

public class NcbNameTypeDescriptor
extends org.exolab.castor.xml.util.XMLClassDescriptorImpl

Class NcbNameTypeDescriptor.

Version:
  $Revision$ $Date$

Constructor Summary
`NcbNameTypeDescriptor()`

Method Summary
`org.exolab.castor.mapping.AccessMode` | `getAccessMode()` Method getAccessMode
`org.exolab.castor.mapping.ClassDescriptor` | `getExtends()` Method getExtends
`org.exolab.castor.mapping.FieldDescriptor` | `getIdentity()` Method getIdentity
`java.lang.Class` | `getJavaClass()` Method getJavaClass
`java.lang.String` | `getNameSpacePrefix()` Method getNameSpacePrefix
`java.lang.String` | `getNameSpaceURI()` Method getNameSpaceURI
`org.exolab.castor.xml.TypeValidator` | `getValidator()` Method getValidator
`java.lang.String` | `getXMLName()` Method getXMLName

Methods inherited from class org.exolab.castor.xml.util.XMLClassDescriptorImpl
`addFieldDescriptor, canAccept, contains, getAttributeDescriptors, getContentDescriptor, getElementDescriptors, getFieldDescriptor, getFields, hasContainerFields, removeFieldDescriptor, setCompositorAsAll, setCompositorAsChoice, setCompositorAsSequence, setExtends, setIdentity, setNameSpacePrefix, setNameSpaceURI, setXMLName, sortDescriptors, toString, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NcbNameTypeDescriptor

    public NcbNameTypeDescriptor()

Method Detail

### getAccessMode

    public org.exolab.castor.mapping.AccessMode getAccessMode()

  Method getAccessMode

### getExtends

    public org.exolab.castor.mapping.ClassDescriptor getExtends()

  Method getExtends

### getIdentity

    public org.exolab.castor.mapping.FieldDescriptor getIdentity()

  Method getIdentity

### getJavaClass

    public java.lang.Class getJavaClass()

  Method getJavaClass

### getNameSpacePrefix

    public java.lang.String getNameSpacePrefix()

  Method getNameSpacePrefix

### getNameSpaceURI

    public java.lang.String getNameSpaceURI()

  Method getNameSpaceURI

### getValidator

    public org.exolab.castor.xml.TypeValidator getValidator()

  Method getValidator

### getXMLName

    public java.lang.String getXMLName()

  Method getXMLName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD